package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class StWaterRiver {
    private Long id;

    private String riverType;

    private String riverName;

    private String riverCode;

    private String riverDescription;

    private BigDecimal riverLength;

    private String startStopPoint;

    private String flowThrough;

    private BigDecimal riverImpoundage;

    private String riverChief;

    private BigDecimal waterLevelNormal;

    private BigDecimal waterLevelWarning;

    private BigDecimal waterLevelDead;

    private String waterQuality;

    private String remark;

    private Date createdAt;

    private String createdBy;

    private Date deletedAt;

    private String deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRiverType() {
        return riverType;
    }

    public void setRiverType(String riverType) {
        this.riverType = riverType == null ? null : riverType.trim();
    }

    public String getRiverName() {
        return riverName;
    }

    public void setRiverName(String riverName) {
        this.riverName = riverName == null ? null : riverName.trim();
    }

    public String getRiverCode() {
        return riverCode;
    }

    public void setRiverCode(String riverCode) {
        this.riverCode = riverCode == null ? null : riverCode.trim();
    }

    public String getRiverDescription() {
        return riverDescription;
    }

    public void setRiverDescription(String riverDescription) {
        this.riverDescription = riverDescription == null ? null : riverDescription.trim();
    }

    public BigDecimal getRiverLength() {
        return riverLength;
    }

    public void setRiverLength(BigDecimal riverLength) {
        this.riverLength = riverLength;
    }

    public String getStartStopPoint() {
        return startStopPoint;
    }

    public void setStartStopPoint(String startStopPoint) {
        this.startStopPoint = startStopPoint == null ? null : startStopPoint.trim();
    }

    public String getFlowThrough() {
        return flowThrough;
    }

    public void setFlowThrough(String flowThrough) {
        this.flowThrough = flowThrough == null ? null : flowThrough.trim();
    }

    public BigDecimal getRiverImpoundage() {
        return riverImpoundage;
    }

    public void setRiverImpoundage(BigDecimal riverImpoundage) {
        this.riverImpoundage = riverImpoundage;
    }

    public String getRiverChief() {
        return riverChief;
    }

    public void setRiverChief(String riverChief) {
        this.riverChief = riverChief == null ? null : riverChief.trim();
    }

    public BigDecimal getWaterLevelNormal() {
        return waterLevelNormal;
    }

    public void setWaterLevelNormal(BigDecimal waterLevelNormal) {
        this.waterLevelNormal = waterLevelNormal;
    }

    public BigDecimal getWaterLevelWarning() {
        return waterLevelWarning;
    }

    public void setWaterLevelWarning(BigDecimal waterLevelWarning) {
        this.waterLevelWarning = waterLevelWarning;
    }

    public BigDecimal getWaterLevelDead() {
        return waterLevelDead;
    }

    public void setWaterLevelDead(BigDecimal waterLevelDead) {
        this.waterLevelDead = waterLevelDead;
    }

    public String getWaterQuality() {
        return waterQuality;
    }

    public void setWaterQuality(String waterQuality) {
        this.waterQuality = waterQuality == null ? null : waterQuality.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public String getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(String deletedBy) {
        this.deletedBy = deletedBy == null ? null : deletedBy.trim();
    }
}